import { storiesOf } from '@storybook/react';
import * as React from 'react';
import { useSize } from '..';
import ShowDocs from './util/ShowDocs';

const Demo = () => {
  const [sized, { width, height }] = useSize(({ width: currentWidth }) => (
    <div style={{ border: '1px solid red' }}>Size me up! ({currentWidth}px)</div>
  ));

  return (
    <div>
      {sized}
      <div>width: {width}</div>
      <div>height: {height}</div>
    </div>
  );
};

storiesOf('Sensors|useSize', module)
  .add('Docs', () => <ShowDocs md={require('../../docs/useSize.md')} />)
  .add('Demo', () => <Demo />);
